
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#  打开指定路径下文件 / iVAN</title>

    <meta name="description" content="C#  打开指定路径下文件 /// &lt;summary&gt; /// 打开指定路径下文件,比如:Word.Excel.Dll.图片等都可以(前提是你已经安装打开程序的对应软件) /// &lt;/summary&gt; /// &lt;param name=&quot;NewFileName&quot;&gt;eg:D:\Test\模版8.doc&lt;/param&gt; /// &lt;param name=&quot;NewFileName&quot;&gt;eg:D:\Test\模版8.doc&lt;/par ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#  打开指定路径下文件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<pre>        /// &lt;summary&gt;
        /// 打开指定路径下文件，比如：Word、Excel、Dll、图片等都可以（前提是你已经安装打开程序的对应软件）
        /// &lt;/summary&gt;
        /// &lt;param name="NewFileName"&gt;eg：D:\Test\模版8.doc&lt;/param&gt;
        /// &lt;param name="NewFileName"&gt;eg：D:\Test\模版8.doc&lt;/param&gt;
        private void OpenFile(string NewFileName)
        {
            Process process = new Process();
            ProcessStartInfo processStartInfo = new ProcessStartInfo(NewFileName);
            process.StartInfo = processStartInfo;
			# region 下面这段被注释掉代码（可以用来全屏打开代码）
			////建立新的系统进程
            //System.Diagnostics.Process process = new System.Diagnostics.Process();
            ////设置文件名，此处为图片的真实路径+文件名（需要有后缀）
            //process.StartInfo.FileName = NewFileName;
            ////此为关键部分。设置进程运行参数，此时为最大化窗口显示图片。
            //process.StartInfo.Arguments = "rundll32.exe C://WINDOWS//system32//shimgvw.dll,ImageView_Fullscreen";
            //// 此项为是否使用Shell执行程序，因系统默认为true，此项也可不设，但若设置必须为true
            //process.StartInfo.UseShellExecute = true;
			#endregion
            try
            {
                process.Start();
                try
                {
                    // process.WaitForExit();
                }
                catch (Exception ex)
                {
                    throw ex;
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
            finally
            {
                try
                {
                    if (process != null)
                    {
                        process.Close();
                        process = null;
                    }
                }
                catch { }
            }
        }</pre>
<p>今天，测试的时候，不知道谁在</p>
<pre>process.StartInfo = processStartInfo;</pre>
<p>这个句话的后面，添加了这么一句话：</p>
<pre>process.StartInfo.UseShellExecute = false;</pre>
<p>一开始也没注意，然后一直报下面这个错误：</p>
<p>The specified executable is not a validapplication for this OS platform.</p>
<p>解释：</p>
<p>        ProcessStartInfo.UseShellExecute 属性：获取或设置一个值，该值指示是否使用操作系统外壳程序启动进程。</p>
<p>属性值：<br />
        若要在启动进程时使用外壳程序，则为 true；否则，直接从可执行文件创建进程。默认为 true。将属性设置为 false 能够重定向输入流、输出流和错误流。否则不行。<br />
        使用操作系统外壳程序启动进程时，可以使用 Process 组件启动任何文档（可以是与可执行文件关联的、具有默认打开操作的任何注册文件类型），并对该文件执行操作（如打印）。如果 UseShellExecute 为 false，则只能使用 Process组件启动可执行文件。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 02:31:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#  打开指定路径下文件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQEvqp.html" rel="bookmark">怎样使用c&num;修改指定路径下所有文件的名字？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎样使用c#修改指定路径下所有文件的名字? 在原有的文件名下面添加&quot;.mp4&quot;后缀,请给完整的代码!谢谢!!!!! 解决方案 你是想在原来的文件后缀前面加上.mp4还是在后面加上.mp4? string[] files = Directory.GetFiles(@&quot;&quot;E:新建文件夹 (2)&quot;&quot;*.*&quot;&quot; SearchOption.AllDirectories); foreach (string s in files)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn4eRrb.html" rel="bookmark">c&num;-C&num; FileStream读取 结果没有在指定路径生成文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C# FileStream读取 结果没有在指定路径生成文件 发送文件 FileStream fs = File.Open(&quot;f:/屏幕获取保存/2015350211352135.jpeg&quot;, FileMode.Open); byte[] buffer = new byte[fs.Length]; fs.Read(buffer, 0, (int)fs.Length); fs.Close(); try { TcpClient client = new TcpClient(); c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNE4BNb.html" rel="bookmark">python获取指定路径下所有指定后缀文件的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了python获取指定路径下所有指定后缀文件的方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 # 获取指定路径下所有指定后缀的文件 # dir 指定路径 # ext 指定后缀,链表&amp;不需要带点 或者不指定.例子:['xml', 'java'] def GetFileFromThisRootDir(dir,ext = None): allfiles = [] needExtFilter = (ext !=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQNZewM.html" rel="bookmark">java  下载  断点续传-用java语言从web下载文件到本地指定路径下</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 用java语言从web下载文件到本地指定路径下 java语言实现从外部网站下载文件到我们公司的服务器上,支持断点续传并且用一个线程下载一个文件,请问哪位有什么思路或者源码参考.麻烦大家给我出出主意. 网上都是从服务器上下载到本地的案例.这种可以应用到我这种需求上吗? 顺便问下http协议和ftp协议下载文件是否支持下载到本地指定路径,对文件大小类型有没有限制. 解决方案 1.先用代码解析外部网站下载页面获取下载地址 2.代码实现http协议请求解析得到的下载地址,下载文件到本地 3.代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmQlRz.html" rel="bookmark">驱动开发-为什么inf文件路径正确，就是在给挂载的镜像添加驱动的时候显示&OpenCurlyDoubleQuote;在指定路径下找不到驱动程序包&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为什么inf文件路径正确,就是在给挂载的镜像添加驱动的时候显示&quot;在指定路径下找不到驱动程序包&quot; 为什么inf文件路径正确,就是在给挂载的镜像添加驱动的时候显示&quot;在指定路径下找不到驱动程序包&quot; 解决方案 仔细再检查下相对路径.换一个计算机试试看.看看是不是环境的问题. 你提供的信息有限,没办法进一步判断. 解决方案二: 开发-为什么inf文件路径正确,就是在给挂载的镜像添加驱动的时候显示&quot;在指定路径下找不到驱动程序包&quot;-linux挂载is			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydXXPb.html" rel="bookmark">silverlight4 0-Silverlight中通过独立存储，怎么将文件保存到指定路径下？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Silverlight中通过独立存储,怎么将文件保存到指定路径下? 保存按钮的代码如下: private void btnSave_Click(object sender, RoutedEventArgs e) { string fileContent = this.txtContents.Text; using (var storage = IsolatedStorageFile.GetUserStoreForApplication()) { string filePath = Sy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlR5yVz.html" rel="bookmark">python计算指定路径下所有目录大小的脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  检测指定目录下文件的大小只需要遍历目录然后再统计文件之后进行总结就可以了,下面来看一个python的检测一个指定路径下,所有目录大小的脚本 例子  代码如下   import os,sys from os.path import getsize def lsdir(rootDir):     list_dirs = os.walk(rootDir)     size = 0L     for root,dirs,files in list_dirs:         for name in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RX7vb.html" rel="bookmark">c&num; treeview上不显示指定路径下的隐藏文件应该怎么做？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c#treeview上不显示指定路径下的隐藏文件应该怎么做? 解决方案 解决方案二:在线等,求解答解决方案三:你在获取目录文件列表时,是可以知道该文件是否为隐藏文件的,如果是,就不添加到treeview解决方案四:能附上代码么,新手代码不熟悉.谢谢了解决方案五:引用3楼edson_的回复: 能附上代码么,新手代码不熟悉.谢谢了 string[]hiddenfiles=Directory.GetFiles(dir,&quot;*.*&quot;,SearchOption.AllDirectorie			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeoOBjM.html" rel="bookmark">Python实现批量更换指定目录下文件扩展名的方法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Python实现批量更换指定目录下文件扩展名的方法.分享给大家供大家参考,具体如下: #encoding=utf-8 #author: walker #date: 2013-12-06 #function: 深度遍历指定目录,更换指定扩展名 import os import os.path #读入指定目录并转换为绝对路径 rootdir = raw_input('root dir:\n') rootdir = os.path.abspath(rootdir) print('abso			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzwv5kp.html" rel="bookmark" class="title">为什么设置了DropDownList的AutoPostBack&equals;True还是不能触发SelectedIndexChanged事件？</a>
					<div>
						select 有人问 (1)AutoPostBack=&quot;True&quot; &lt;asp:DropDownList id=&quot;DropDownList1&quot; runat= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd9P3z.html" rel="bookmark" class="title">WIN 2003下ASP&period;Net站点无法使用用户名＋密码连接SQL</a>
					<div>
						asp.net|站点 在Web应用程序中,我们无法像在Windows应用程序那样导出报表,因为程序是在服务器端执行的,执行导出时,其结果也是在服务器端,那应该如何才能实现完整的客户端导出呢?其实这个也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w218p.html" rel="bookmark" class="title">关于MySQL Innodb&lowbar;flush&lowbar;method</a>
					<div>
						innodb_flush_log_at_trx_commit 决定了事务日志何时write,flush innodb_flush_method确定了日志及数据文件如何write.flush.&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOBWwb.html" rel="bookmark" class="title">正则表达式的简单用法以及管道和重定向</a>
					<div>
						正则表达式(Regular EXPression),简单的来说,就是用一些符合某种语法规则的字符串来实现其检索的功能.我们这里以 grep 为例,来学习正则表达式: grep:使用基本正则表达式定义的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEmKNb.html" rel="bookmark" class="title">爱普生EMP-1710投影机评测</a>
					<div>
						优点:体积小,移动方便 缺点:亮度小 推荐人群:教育行业和商务用户 推荐指数:★★★ 长期以来,投影机在学校等教育行业中使用的频率都很高,教育行业也一直是投影机厂商最为关注的市场.随着经济的发展,中国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE9wJb.html" rel="bookmark" class="title">谷歌浏览器怎么使用infinity插件添加个性化新标签页&quest;</a>
					<div>
						谷歌浏览器怎么使用infinity插件添加个性化新标签页?   1.首先打开[Chrome浏览器],在网址输入框内输入网址,网址在下图 2.进入infinity官网以后,找到[下载离线Crx文件]并点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKPq1p.html" rel="bookmark" class="title">电脑连接无线网络显示感叹号怎么办</a>
					<div>
						  电脑连接无线网络显示感叹号怎么办 如果出现图下圈出来的情况,首先右击选择&quot;打开网络和共享中心&quot;. 然后点击方框圈出来的. 接着点击&quot;属性&quot;. 点击Inter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWOAyb.html" rel="bookmark" class="title">MacBook Pro 为什么没有硬盘灯？</a>
					<div>
						网友问:MacBook Pro 为什么没有硬盘灯,设计的时候是出于什么考虑? 回答:硬盘灯存在的意义在于:用户知道系统在读写;硬盘灯的问题在于:不停的闪烁对用户产生了干扰;Apple认为,这个产生的问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKAYOM.html" rel="bookmark" class="title">桌面彻底删除的文件怎么恢复？</a>
					<div>
						  小编在这里推荐一款性价比很高的软件,顶尖数据恢复软件,这款数据恢复软件的功能不错,扫描的地方加入了瞬时功能,将扫描的时间大大缩短,不仅如此,这款瞬时功能还用在了恢复的过程中,让原本比较缓慢的恢复进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1G1xb.html" rel="bookmark" class="title">axis-新手出错，求大手指教</a>
					<div>
						问题描述 新手出错,求大手指教 org.apache.axis2.AxisFault: Unmarshalling Error: unexpected element (uri:&quot;&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR8rlp.html" rel="bookmark" class="title">c&plus;&plus;问题-线性表建立链表！！！</a>
					<div>
						问题描述 线性表建立链表!!! #include using namespace std; typedef int ElemType; struct lzl { ElemType x; lzl*nex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZK79b.html" rel="bookmark" class="title">c语言-C语言segmentation  fault？</a>
					<div>
						问题描述 C语言segmentation fault? #include main(){ int M, N, T, S[M][N], B; scanf(&quot;%d%d%d&quot;, &amp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmBNWz.html" rel="bookmark" class="title">聊天室服务分析设计</a>
					<div>
						如果你需要写一个简单的聊天室的服务,那么我想很多网上的demo都可以直接拿来用.但是如果你要做的是给线上百万甚至千万级用户用的服务,那么,整个结构和聊天室Demo是必然不一样的.本文就从设计一个大用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAnJkM.html" rel="bookmark" class="title">怎么用bootstrap框架？</a>
					<div>
						问题描述 怎么用bootstrap框架? 怎么把引用bootstrap将自己做的页面做成响应式.是要用bootstrap里的样式.css文件吗,那自己做的页面的类名是不是得改成bootstrap样式文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4doPz.html" rel="bookmark" class="title">微信公众平台开发&lpar;104&rpar; 自定义菜单扫一扫、发图片、发地理位置</a>
					<div>
						关键字:微信公众平台 自定义菜单 扫一扫 发图片 发地理位置作者:方倍工作室原文:http://www.cnblogs.com/txw1958/p/weixin-menu-new-type.html  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z2jaz.html" rel="bookmark" class="title">想用Java开发电子书阅读器，其Swing&sol;AWT控件如何获取当前阅读进度？</a>
					<div>
						问题描述 想用java开发一个桌面版的电子书同步阅读器.可是能力有限,在获取阅读进度模块遇到了技术瓶颈,不知道如何获取当前进度,望大神们指点一二.我用的是swing里的JTextArea,貌似没有相关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKn6db.html" rel="bookmark" class="title">xposed-android中负责http包处理的函数是什么？</a>
					<div>
						问题描述 android中负责http包处理的函数是什么? 最近在写一个hook 想从手机端抓去数据包 但是不太清楚要hook哪个函数					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRxQ8b.html" rel="bookmark" class="title">Evernote计划明年年底前上市 预期用户超1亿</a>
					<div>
						Evernote创始人及CEO菲尔·利宾(http://www.aliyun.com/zixun/aggregation/29869.html&quot;&gt;Phil Libin) 北京时间5月1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE41aZz.html" rel="bookmark" class="title">众筹平台Kickstarter 2012年融资额达3&period;2亿美元</a>
					<div>
						和讯科技消息 http://www.aliyun.com/zixun/aggregation/17197.html&quot;&gt;北京时间1月18日,据国外媒体报道,美国众筹平台Kickstart ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBEqqz.html" rel="bookmark" class="title">共患难易，同富贵难</a>
					<div>
						摘要: 散买卖,不散交情.这句话在&lt;非诚勿扰2&gt;里出现了3次以上.然而,现实生活中的故事往往比电影剧情更富有戏剧色彩.真功夫.土豆网和赶集网3家公司先后也出现了散的难题,不过 &quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRBA2p.html" rel="bookmark" class="title">c&plus;&plus;-如何在QT界面上嵌入一个地图功能，选MapObjects还是mapx，还是自己拼地图图片好？</a>
					<div>
						问题描述 如何在QT界面上嵌入一个地图功能,选MapObjects还是mapx,还是自己拼地图图片好? 我做的c++小软件,界面用qt,要加一个地图,能缩放,可以在地图上弹出注释窗口.因为以前没做过地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX07nQp.html" rel="bookmark" class="title">&lpar;Head First 设计模式&rpar;学习笔记&lpar;2&rpar; --观察者模式&lpar;气象站实例&rpar;</a>
					<div>
						以下内容转载请注明来自&quot;菩提树下的杨过(http://blog.sqlsky.com)&quot; 应用概述: 某气象站通过传感器实时测量气温/湿度/压力等数据,要求设计一个系统,能让多种类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqZm4b.html" rel="bookmark" class="title">ibatis插入或查询问题</a>
					<div>
						问题描述 数据库里有Account表,有username和password两个字段.ibatorConfig.xml文件如下所示.现在用Generate IBATIS Artifacts 生成文件.还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE4AOz.html" rel="bookmark" class="title">两大股东对于ST长信控股权之争已陷入白热化</a>
					<div>
						ST长信(600706.SH)发布简式权益变动书称,公司二股东青岛齐能化工有限公司(简称&quot;齐能化工&quot;)在短短3个交易日内将持股比例一举从8.36%增至10.004%,与公司第一大股 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44NKqz.html" rel="bookmark" class="title">【Nepxion - 开源 Awt&amp;amp&semi;amp&semi;amp&semi;Swing 框架和组件库】</a>
					<div>
						问题描述 NepxionAwt&amp;Swing开源库整合将近一百种样式新颖,风格独特,以及功能,丰富的界面控件,同时提供一套轻量级的界面框架解决方案,并适配于不同的外观风格,实现可定制化,可扩展化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2XamM.html" rel="bookmark" class="title">详解jQuery中的deferred对象的使用（一）&lowbar;jquery</a>
					<div>
						 deferred对象是jQuery对Promises接口的实现.它是非同步操作的通用接口,可以被看作是一个等待完成的任务,开发者通过一些通过的接口对其进行设置.事实上,它扮演代理人(proxy)的角 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEQ25z.html" rel="bookmark" class="title">Vue&period;JS入门教程之列表渲染&lowbar;javascript技巧</a>
					<div>
						你可以使用 v-repeat 指令来基于 ViewModel 上的对象数组渲染列表.对于数组中的每个对象,该指令将创建一个以该对象作为其 $data 对象的子 Vue 实例.这些子实例继承父实例的数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NmDjz.html" rel="bookmark" class="title">PHP获取数组的键与值方法小结&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP获取数组的键与值方法.分享给大家供大家参考.具体如下: 使用数组的过程中经常要遍历数组.通常需要遍历数组并获得各个键或值(或者同时获得键和值),所以毫不奇怪,PHP为此提供了一些函 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGreA2p.html" rel="bookmark" class="title">CKeditor与syntaxhighlight打造joomla代码高亮&lowbar;网页编辑器</a>
					<div>
						(效果如图所示!) 最近在用csdn和cnblogs发帖子和写随笔的时候,发现了好多的IT的网站或者和代码有关系的一些论坛,博客之类,他们都有一个非常好的语法高亮!很强大! 看了这儿效果很不错的,因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqOPdp.html" rel="bookmark" class="title">防止重复插入记录sql实现方法</a>
					<div>
						replace语法 replace的语法格式为: 1. replace into table_name(col_name, ...) values(...) 2. replace into table ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
